## Commander-API library
**Version V2.1.0**

Commander-API is a simple-to-use parser library, and you can easily use it to process character based commands and link them to a specified function. It is designed mainly to work with low memory capacity devices, for example, __small ARM or AVR processors__.

__Key changes in V2.1.0:__
* AVR PROGMEM support.
* Piping
* Ready to use built-in commands

__Breaking changes in V2.1.0:__
* The response channel is now uses the Stream class.
  This way it is more flexible and you doesn't have to
  create a class for every peripheral.

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## Video Tutorial

[![Tutorial VIdeo](https://img.youtube.com/vi/O2su8kXg1X8/0.jpg)](https://www.youtube.com/watch?v=O2su8kXg1X8)

## Documentation

The full documentation can be found [here](https://dani007200964.github.io/Commander-API/html/index.html).

## Donation
If this project help you reduce time to develop, you can give me a cup of coffee :coffee: :coffee: :coffee:

[![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://www.paypal.com/donate?hosted_button_id=YFGZD78H6K2CS)

## License & copyright
© Daniel Hajnal

:email: hajnal.daniel96@gmail.com

Licensed under the MIT License

![](/docs/images/footer_image.png)
